/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.moduloseguridad.dao;

import org.json.JSONObject;

/**
 *
 * @author sistem17user
 */
public interface TipoUsuarioDAO {
    
        public JSONObject listarProyectos() throws Exception;
        
        public JSONObject listarTiposUsuarios(int codigoProyecto) throws Exception;
        
        public JSONObject asignarAcciones(JSONObject datos) throws Exception;
        
        public JSONObject activarDesactivarAccion(JSONObject datos) throws Exception;
        
        public JSONObject activarDesactivarTipoUsuario(JSONObject datos) throws Exception;
        
        public JSONObject listarAcciones(JSONObject datos) throws Exception;
        
        public JSONObject listarCboAcciones() throws Exception;

	public JSONObject listadoPrincipal(String filtro, int filtrado, int proyecto,  int vstart, int vlength, String draw) throws Exception;

	public int activarTipoUsuario(int codigo) throws Exception;

	public int desactivarTipoUsuario(int codigo) throws Exception;

	public int editarTipoUsuario(int codigo, String nombre) throws Exception;

	public int crearTipoUsuario(String nombre) throws Exception;

	public int validarTipoUsuario(int codigo) throws Exception;

	public int validarNombreTipoUsuario(String nombreInicial, String nombreIngreso, int tipo) throws Exception;
}